package com.fs.qw.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fs.common.utils.DateUtils;
import com.fs.qw.domain.QwIpadServerUser;
import com.fs.qw.mapper.QwIpadServerUserMapper;
import com.fs.qw.param.IPadServerUserParam;
import com.fs.qw.service.IQwIpadServerUserService;
import com.fs.qw.vo.QwIPadServerUserVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

/**
 * ipad用户Service业务层处理
 *
 * @author fs
 * @date 2025-04-29
 */
@Service
public class QwIpadServerUserServiceImpl extends ServiceImpl<QwIpadServerUserMapper, QwIpadServerUser> implements IQwIpadServerUserService {

    @Autowired
    private QwIpadServerUserMapper qwIpadServerUserMapper;
    /**
     * 查询ipad用户
     *
     * @param id ipad用户主键
     * @return ipad用户
     */
    @Override
    public QwIpadServerUser selectQwIpadServerUserById(Long id)
    {
        return baseMapper.selectQwIpadServerUserById(id);
    }

    /**
     * 查询ipad用户列表
     *
     * @param qwIpadServerUser ipad用户
     * @return ipad用户
     */
    @Override
    public List<QwIpadServerUser> selectQwIpadServerUserList(QwIpadServerUser qwIpadServerUser)
    {
        return baseMapper.selectQwIpadServerUserList(qwIpadServerUser);
    }

    @Override
    public List<QwIPadServerUserVO> selectIpadServerUserList(IPadServerUserParam iPadServerUserParam) {
        return baseMapper.selectIpadServerUserList(iPadServerUserParam);
    }

    /**
     * 新增ipad用户
     *
     * @param qwIpadServerUser ipad用户
     * @return 结果
     */
    @Override
    public int insertQwIpadServerUser(QwIpadServerUser qwIpadServerUser)
    {
        qwIpadServerUser.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertQwIpadServerUser(qwIpadServerUser);
    }

    /**
     * 修改ipad用户
     *
     * @param qwIpadServerUser ipad用户
     * @return 结果
     */
    @Override
    public int updateQwIpadServerUser(QwIpadServerUser qwIpadServerUser)
    {
        return baseMapper.updateQwIpadServerUser(qwIpadServerUser);
    }

    /**
     * 批量删除ipad用户
     *
     * @param ids 需要删除的ipad用户主键
     * @return 结果
     */
    @Override
    public int deleteQwIpadServerUserByIds(Long[] ids)
    {
        return baseMapper.deleteQwIpadServerUserByIds(ids);
    }

    /**
     * 删除ipad用户信息
     *
     * @param id ipad用户主键
     * @return 结果
     */
    @Override
    public int deleteQwIpadServerUserById(Long id)
    {
        return baseMapper.deleteQwIpadServerUserById(id);
    }

    @Override
    public void deleteQwIpadServerUserByQwUserId(Long id) {
        qwIpadServerUserMapper.deleteQwIpadServerUserByQwUserId(id);
    }
}
